Public Member Functions | Protected Attributes | Private Member Functions | List of all members
EDocParserInternal::DeflateStruct Struct Reference

very low structure to help uncompress data More...

## Public Member Functions
| DeflateStruct (long size, long initSize)
| constructor More...
bool | isEnd () const
| true if we have build of the data More...
bool | push (unsigned char c)
| push a new character More...
bool | sendDuplicated (int num, int depl)
| send a duplicated part of the data More...
bool | treatDelayed (unsigned char c)
| check if there is delayed char, if so treat them More...
bool | getBinaryData (librevenge::RVNGBinaryData &dt) const
| return the content of the block in dt More...

## Protected Attributes
long | m_toWrite
| the number of data that we need to write More...
std::vector< unsigned char > | m_data
| the resulting data More...
std::vector< unsigned char > | m_circQueue
| a circular queue More...
size_t | m_circQueuePos
| the position in the circular queue More...
int | m_numDelayed
| the number of character delayed More...
unsigned char | m_delayedChar
| the delayed character More...

## Private Member Functions
| DeflateStruct (DeflateStruct const &orig)=delete
DeflateStruct & | operator= (DeflateStruct const &orig)=delete

## Detailed Description

very low structure to help uncompress data

## Constructor & Destructor Documentation

## ◆ DeflateStruct() [1/2]

EDocParserInternal::DeflateStruct::DeflateStruct | ( | long | size,
|  | long | initSize
| ) |  |
| inline

constructor

## ◆ DeflateStruct() [2/2]

EDocParserInternal::DeflateStruct::DeflateStruct | ( | DeflateStruct const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ getBinaryData()

bool EDocParserInternal::DeflateStruct::getBinaryData | ( | librevenge::RVNGBinaryData & | dt | ) | const
| inline

return the content of the block in dt

Referenced by EDocParser::decodeZone().

## ◆ isEnd()

bool EDocParserInternal::DeflateStruct::isEnd | ( |  | ) | const
| inline

true if we have build of the data

Referenced by EDocParser::decodeZone().

## ◆ operator=()

DeflateStruct& EDocParserInternal::DeflateStruct::operator= | ( | DeflateStruct const & | orig | ) |
| private delete

## ◆ push()

bool EDocParserInternal::DeflateStruct::push | ( | unsigned char | c | ) |
| inline

push a new character

Referenced by EDocParser::decodeZone().

## ◆ sendDuplicated()

bool EDocParserInternal::DeflateStruct::sendDuplicated | ( | int | num,
|  | int | depl
| ) |  |

send a duplicated part of the data

Referenced by EDocParser::decodeZone().

## ◆ treatDelayed()

bool EDocParserInternal::DeflateStruct::treatDelayed | ( | unsigned char | c | ) |

check if there is delayed char, if so treat them

## Member Data Documentation

## ◆ m_circQueue

std::vector<unsigned char> EDocParserInternal::DeflateStruct::m_circQueue
| protected

a circular queue

## ◆ m_circQueuePos

size_t EDocParserInternal::DeflateStruct::m_circQueuePos
| protected

the position in the circular queue

## ◆ m_data

std::vector<unsigned char> EDocParserInternal::DeflateStruct::m_data
| protected

the resulting data

## ◆ m_delayedChar

unsigned char EDocParserInternal::DeflateStruct::m_delayedChar
| protected

the delayed character

## ◆ m_numDelayed

int EDocParserInternal::DeflateStruct::m_numDelayed
| protected

the number of character delayed

## ◆ m_toWrite

long EDocParserInternal::DeflateStruct::m_toWrite
| protected

the number of data that we need to write

The documentation for this struct was generated from the following file:

- EDocParser.cxx